HELP2MAN(1)

NOME
help2man - gera uma página de manual simples

SINOPSE
help2man [OPÇÃO]... EXECUTÁVEL

DESCRIÇÃO
"help2man" gera uma página de manual (man page) a partir da saída das opções "--help" e "--version".

-n, --name=TEXTO
    descrição para o parágrafo NOME

-s, --section=SEÇÃO
    número da seção para a página do manual (1, 6, 8)

-m, --manual=TEXTO
    nome do manual (Comandos do usuário, ...)

-S, --source=TEXTO
    origem do programa (FSF, Debian, ...)

-L, --locale=TEXTO
    seleciona a localidade (padrão: "C")

-i, --include=ARQUIVO
    inclui o material de "ARQUIVO"

-I, --opt-include=ARQUIVO
    inclui o material de "ARQUIVO", se ele existir

-o, --output=ARQUIVO
    envia a saída para ARQUIVO

-p, --info-page=TEXTO
    nome do manual Texinfo

-N, --no-info
    suprime o apontador para o manual Texinfo

-l, --libtool
    exclui a parte "lt-" do nome do programa

--help
    emite esta ajuda e sai

--version
    emite o número da versão e sai

O EXECUTÁVEL deveria aceitar as opções "--help" e "--version" e produzir a saída para a saída padrão, embora alternativas podem ser especificadas usando:

-h, --help-option=TEXTO
    o texto para a opção de ajuda

-v, --version-option=TEXTO
    o texto para a opção de versão

--version-string=TEXTO
    o texto da versão

--no-discard-stderr
    inclui o texto no erro padrão ao analisar a saída das opções

ARQUIVOS INCLUSOS
Materiais adicionais podem ser incluídos na saída gerada com as opções --include e --opt-include. O formato é simples:
    [seção]
    texto
    /padrão/
    texto Blocos de texto *roff literais são inseridos na saída ou no início de uma dada [seção] (indiferente à maiusculização), ou após um parágrafo que coincida com o /padrão/. Os padrões usam a sintaxe Perl de expressão regular e podem ser seguidos pelos modificadores i, s ou m (veja perlre(1)). As linhas antes da primeira seção ou de um padrão que comece com "-" são processados como opções. Qualquer outra coisa é ignorada silenciosamente e pode ser usada para comentários, palavras-chaves RCS e coisas do tipo. A ordem da saída das seções é:
    NOME
    SINOPSE
    DESCRIÇÃO
    OPÇÕES
    AMBIENTE
    ARQUIVOS
    EXEMPLOS
    outra
    AUTOR
    RELATANDO PROBLEMAS
    DIREITOS AUTORAIS
    VEJA TAMBÉM Quaisquer seções [NOME] ou [SINOPSE] que apareçam no arquivo de inclusão substituirá o que seria produzido automaticamente (embora você ainda possa sobrepor o primeiro com --name se necessário). Outras seções são acrescentadas antes da saída produzida automaticamente para as seções padrões citadas acima ou inclusas na posição outra (acima) na ordem em que elas forem encontradas no arquivo de inclusão. A localização do texto dentro da seção pode ser requisitada explicitamente usando a sintaxe [<seção], [=seção] ou [>seção] para colocar o texto adicionar antes, sobre ou após a saída padrão, respectivamente.

DISPONIBILIDADE
A última versão desta distribuição está disponível on-line em:
    ftp://ftp.gnu.org/gnu/help2man/

RELATANDO PROBLEMAS
Relate problemas para <bug-help2man@gnu.org>.

DIREITOS AUTORAIS
Copyright © 1997, 1998, 1999, 2000, 2001, 2002, 2003, 2004, 2005, 2009, 2010, 2011, 2012, 2013, 2014, 2015, 2016, 2017 Free Software Foundation, Inc. This is free software; see the source for copying conditions. There is NO warranty; not even for MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.

Written by Brendan O'Dea <bod@debian.org>

VEJA TAMBÉM
A documentação completa para help2man é mantida como um manual Texinfo. Se info e os programas help2man estiverem instalados apropriadamente em sua máquina, o comando

    info help2man

deveria lhe fornecer acesso ao manual completo.